/*
 *  kstartupinfo_31.cpp  -  KStartupInfo class compatibility for KDE 3.1 and earlier
 *  Program:  kalarm
 *  Copyright (C) 2004 by David Jarvie <software@astrojar.org.uk>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#ifndef __kstartupinfo_31_h__
#define __kstartupinfo_31_h__

#if KDE_VERSION < 220

class KStartupInfo
{
public:
  static void appStarted() { }
  static void disableAutoAppStartedSending(bool = true) { }
};

#else

#ifdef KStartupInfo
#undef KStartupInfo
#endif

#include <kstartupinfo.h>

class KStartupInfo_31 : public KStartupInfo
{
public:
  KStartupInfo_31(int flags, QObject* parent = 0, const char* name = 0)
    : KStartupInfo(flags, parent, name) { }
  KStartupInfo_31(bool clean_on_cantdetect, QObject* parent = 0, const char* name = 0)
    : KStartupInfo(clean_on_cantdetect, parent, name) { }
  static void disableAutoAppStartedSending(bool = true) { }
};

#define KStartupInfo KStartupInfo_31

#endif
#endif
